Skip to main content
GET
Search Access Profiles

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Query Parameters

page_size
integer<int32>

Page size (max 100).

page_token
string

Page token for pagination.

query
string

Case-insensitive search over the profile display name; empty returns all.

Response

200 - application/json

MCPAccessProfileServiceSearchAccessProfilesResponse returns one page of tenant-wide MCP access profiles.

MCPAccessProfileServiceSearchAccessProfilesResponse returns one page of tenant-wide MCP access profiles.

nextPageToken
string

Token for next page.

profiles
Mcp Access Profile · object[] | null

The page of matching MCP access profiles.